XFcBtSecurity class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcBtSecurity Class Reference

Holds bluetooth security information for bluetooth link to other device. More...

List of all members.

## Public Member Functions

virtual XFCIMPORT | ~XFcBtSecurity ()
| Virtual destructor.
XFCIMPORT INT32 | registerSecurity (XFcAddress &aAddress, INT aAuthent, INT aEnc, INT aAuthor)
| Sets security attributes for a given socket.
XFCIMPORT void | unregisterSecurity (INT aIndex)
| Unregisters security settings.

## Static Public Member Functions

XFCIMPORT XFcBtSecurity * | create ()
| Static constructor.

## Protected Member Functions

| XFcBtSecurity ()
| Protected constructor.
INT | init ()
| Initializes security manager.

## Private Attributes

void * | mSecurity
| Holds platform specific bt security manager.

## Detailed Description

Holds bluetooth security information for bluetooth link to other device.

## Constructor & Destructor Documentation

XFcBtSecurity::XFcBtSecurity | ( |  | ) | `[protected]`

| Protected constructor.

virtual XFCIMPORT XFcBtSecurity::~XFcBtSecurity | ( |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

XFCIMPORT XFcBtSecurity* XFcBtSecurity::create | ( |  | ) | `[static]`

| Static constructor.

INT XFcBtSecurity::init | ( |  | ) | `[protected]`

| Initializes security manager.

XFCIMPORT INT32 XFcBtSecurity::registerSecurity | ( | XFcAddress & | aAddress,
|  | INT | aAuthent,
|  | INT | aEnc,
|  | INT | aAuthor
| ) |

Sets security attributes for a given socket.

Parameters:

  aAddress | sets security settings for this port.
  aAuthent | true of false values required.
  aEnc | true of false values required.
  aAuthor | true of false values required.

Returns:
  registered index for given socket if successful, or -1 otherwise.

:

Note:
  Only one security setting is currently supported (indices are not implemented yet).

XFCIMPORT void XFcBtSecurity::unregisterSecurity | ( | INT | aIndex | ) |

Unregisters security settings.

Parameters:

  aIndex | index to security settings.

Note:
  Only one security setting is currently supported (indices are not implemented yet).

## Member Data Documentation

void* XFcBtSecurity::mSecurity`[private]`

| Holds platform specific bt security manager.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch